/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GETTASKBARVALUE_H
#define GETTASKBARVALUE_H

#include <QObject>
#include <QGuiApplication>
#include <kwindowsystem.h>
#include <kstartupinfo.h>
#include <kwindowinfo.h>
#include <QMap>
#include "core/modelmanager.h"
#include "dbusinterfaces/appmanagerinterface.h"
#include "windowmanager/windowmanager.h"
#include "windowmanager/windowinfo.h"

class LauncherItem;
class ModelManagerPrivate;
class ModelManager;

class TaskBarManager : public QObject
{
    Q_OBJECT
public:
    explicit TaskBarManager(ModelManager *parent = nullptr);
    ~TaskBarManager();

    void setWindowDesktopFileName(quint32 wid, const QString &fileName);

public slots:
    void setAppClose(WId wid);
    void setAppCloseWayland(kdk::WindowId wid);
    void updateWindowOpenInformation(QString desktopName, qlonglong pid, uint wid);

private:
    QMap<QString, QList<WId>> m_isOpenWindows;
    ModelManager *m_taskbarModelManager;
    AppManagerInterface *m_appManagerInterface;
    bool m_isWayland = false;
};

#endif // GETTASKBARVALUE_H
