/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "showclendar.h"
#include <QDesktopWidget>
#include <QApplication>
#include <QDebug>

#define QM_INSTALL "/usr/share/ukui/translations/ukui-tablet-desktop/ukui-calendar_zh_CN.qm"

#ifdef QT_NO_DEBUG
#define CALENDAR_PATH "/usr/bin/lunarcalendarwidget"

#else
#define CALENDAR_PATH "/tmp/lunarcalendarwidget"
#endif


ShowClendar::ShowClendar(QObject *parent) : QObject(parent)
{
    translator();
}
void ShowClendar::showItem()
{
    QProcess p;
    p.startDetached(CALENDAR_PATH);
}

void ShowClendar::translator()
{
    QTranslator *translator = new QTranslator(this);

    if(translator->load(QM_INSTALL)) {
        QCoreApplication::installTranslator(translator);
    } else {
        qDebug() << "日历的翻译文件加载失败！";
    }
}
